//
// HEINZ
{
  gROOT->Reset();
  gSystem->Load("liblangau.so");
  TPhDST data("data.root");

  TFile f("hist.root");
  TH1F *h_all_03 = f.Get("HitsH");
  TH1F *h_all_47 = f.Get("HitsSJ");
  
  TPhEvent *event = data.GetNextEvent();
  
  TH1F *De = new TH1F("De", "De", 105, -50, 300);

  TPhObjectContainer *hits = (TPhObjectContainer*) event->GetObject("PMCHits");
  TIter NextHit(hits->GetIterator());
  TPhMCHit *Hit;
  Float_t E;
  while(Hit = (TPhMCHit*) NextHit()) {
    E = Hit->GetDe() * 1e6;
    E += gRandom->Gaus(0, 8.);
    De.Fill(E);
  }
  De.SetFillColor(4);
  De.SetFillStyle(3013);
  h_all_03->SetMarkerStyle(20);
  h_all_47->SetMarkerStyle(20);

  Double_t fr[2] = {50.0,200.0};
  Double_t sv[4] = {5.0,100.0,10000.0,10.0};
  Double_t pllo[4] = {1,10,0,0};
  Double_t plhi[4] = {100,300,10000000,200};
  Double_t fp[4];
  /*
  TF1 *fitf_de;
  fitf_de = langaufit(De, fr, sv, pllo, plhi, fp);
  Double_t max, fwhm;
  langaupro(fp,max,fwhm);
  printf("peak at %f FWHM at %f\n",max,fwhm);
  */
  d=TCanvas("signalHbatch");
  De.Draw();
  h_all_03->Draw("Psame");
  d->Update();
  e=TCanvas("signalSJbatch");
  De.Draw();
  h_all_47->Draw("Psame");
  e->Update();
}

